KToolBarLabelAction Class Reference

`#include <ktoolbarlabelaction.h>`

Inheritance diagram for KToolBarLabelAction:

## Public Member Functions

| KToolBarLabelAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KToolBarLabelAction (QWidget *buddy, const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KToolBarLabelAction (QLabel *label, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
virtual void | setText (const QString &text)
virtual void | setBuddy (QWidget *buddy)
QWidget * | buddy () const
QLabel * | label () const
Public Member Functions inherited from KWidgetAction
| KWidgetAction (QWidget *widget, const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
QWidget * | widget ()
void | setAutoSized (bool)
virtual int | plug (QWidget *widget, int index=-1)
virtual void | unplug (QWidget *w)
Public Member Functions inherited from KAction
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const KGuiItem &item, const KShortcut &cut, const QObject *receiver, const char *slot, KActionCollection *parent, const char *name)
| KAction (const QString &text, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut=KShortcut(), QObject *parent=0, const char *name=0)
| KAction (const QString &text, const QIconSet &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (const QString &text, const QString &pix, const KShortcut &cut, const QObject *receiver, const char *slot, QObject *parent, const char *name=0)
| KAction (QObject *parent=0, const char *name=0)
virtual | ~KAction ()
virtual void | plugAccel (KAccel *accel, bool configurable=true) KDE_DEPRECATED
virtual void | unplugAccel () KDE_DEPRECATED
virtual bool | isPlugged () const
bool | isPlugged (const QWidget *container) const
virtual bool | isPlugged (const QWidget *container, int id) const
virtual bool | isPlugged (const QWidget *container, const QWidget *_representative) const
QWidget * | container (int index) const
int | itemId (int index) const
QWidget * | representative (int index) const
int | containerCount () const
uint | kaccelCount () const
virtual bool | hasIcon () const
bool | hasIconSet () const
virtual QString | plainText () const
virtual QString | text () const
virtual const KShortcut & | shortcut () const
virtual const KShortcut & | shortcutDefault () const
QString | shortcutText () const
void | setShortcutText (const QString &)
virtual bool | isEnabled () const
virtual bool | isShortcutConfigurable () const
virtual QString | group () const
virtual QString | whatsThis () const
virtual QString | toolTip () const
virtual QIconSet | iconSet (KIcon::Group group, int size=0) const
QIconSet | iconSet () const
virtual QString | icon () const
KActionCollection * | parentCollection () const
void | unplugAll ()
int | accel () const KDE_DEPRECATED
QString | statusText () const
void | setAccel (int key) KDE_DEPRECATED
void | setStatusText (const QString &text)
int | menuId (int i)

## Protected Member Functions

virtual void | virtual_hook (int id, void *data)
Protected Member Functions inherited from KAction
KToolBar * | toolBar (int index) const
QPopupMenu * | popupMenu (int index) const
void | removeContainer (int index)
int | findContainer (const QWidget *widget) const
int | findContainer (int id) const
void | plugMainWindowAccel (QWidget *w)
void | addContainer (QWidget *parent, int id)
void | addContainer (QWidget *parent, QWidget *representative)
virtual void | updateShortcut (int i)
virtual void | updateShortcut (QPopupMenu *menu, int id)
virtual void | updateGroup (int id)
virtual void | updateText (int i)
virtual void | updateEnabled (int i)
virtual void | updateIconSet (int i)
virtual void | updateIcon (int i)
virtual void | updateToolTip (int id)
virtual void | updateWhatsThis (int i)
QString | whatsThisWithIcon () const
const KGuiItem & | guiItem () const

## Additional Inherited Members

Public Types inherited from KAction
enum | ActivationReason { UnknownActivation, EmulatedActivation, AccelActivation, PopupMenuActivation, ToolBarActivation }
Public Slots inherited from KAction
virtual bool | setShortcut (const KShortcut &)
virtual void | setGroup (const QString &)
virtual void | setWhatsThis (const QString &text)
virtual void | setToolTip (const QString &)
virtual void | setIconSet (const QIconSet &iconSet)
virtual void | setIcon (const QString &icon)
virtual void | setEnabled (bool enable)
void | setDisabled (bool disable)
virtual void | setShortcutConfigurable (bool)
virtual void | activate ()
Signals inherited from KAction
void | activated ()
void | activated (KAction::ActivationReason reason, Qt::ButtonState state)
void | enabled (bool)
Static Public Member Functions inherited from KAction
static int | getToolButtonID ()
Protected Slots inherited from KWidgetAction
void | slotToolbarDestroyed ()
Protected Slots inherited from KAction
virtual void | slotDestroyed ()
virtual void | slotKeycodeChanged ()
virtual void | slotActivated ()
void | slotPopupActivated ()
void | slotButtonClicked (int, Qt::ButtonState state)
Protected Attributes inherited from KAction
KActionCollection * | m_parentCollection
Properties inherited from KAction
int | containerCount
QString | plainText
QString | text
QString | shortcut
bool | enabled
QString | group
QString | whatsThis
QString | toolTip
QString | icon

## Detailed Description

Class to display a label in a toolbar.

KToolBarLabelAction is a convenience class for displaying a label in a toolbar.

It provides easy access to the label's setBuddy(QWidget*) and buddy() methods and can be used as follows:

KHistoryCombo* findCombo = new KHistoryCombo(true, this);
KWidgetAction* action
= new KWidgetAction(findCombo, i18n("F&ind Combo"), Qt::Key_F6, this,
SLOT(slotFocus()), actionCollection(), "find_combo");
new KToolBarLabelAction(findCombo, i18n("F&ind "), 0, this,
SLOT(slotFocus()), actionCollection(),
"find_label");

Author
  Felix Berger felix.nosp@m.berg.nosp@m.er@be.nosp@m.ldes.nosp@m.ign.d.nosp@m.e

Definition at line 49 of file ktoolbarlabelaction.h.

## Constructor & Destructor Documentation

KToolBarLabelAction::KToolBarLabelAction | ( | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |  |

Constructs a toolbar label.

Parameters

  text | The label's and the action's text.
  cut | The action's shortcut.
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 35 of file ktoolbarlabelaction.cpp.

KToolBarLabelAction::KToolBarLabelAction | ( | QWidget * | buddy,
|  | const QString & | text,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |  |

Constructs a toolbar label setting a buddy for the label.

Parameters

  buddy | The widget which is focused when the label's accelerator is typed.
  text | The label's and the action's text.
  cut | The action's shortcut.
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 48 of file ktoolbarlabelaction.cpp.

KToolBarLabelAction::KToolBarLabelAction | ( | QLabel * | label,
|  | const KShortcut & | cut,
|  | const QObject * | receiver,
|  | const char * | slot,
|  | KActionCollection * | parent,
|  | const char * | name
| ) |  |

Constructs a toolbar label for a label.

You can use this constructor if you want to display a class which is derived from QLabel in the toolbar. Note that ownership of the label is transferred to the action and the label is deleted when the action is deleted. So you shouldn't hold any pointers to the label.

It's important that the label's name is set to "kde toolbar widget" in its constructor, otherwise it is not correctly rendered in some kde styles.

Parameters

  label | the label which is displayed in the toolbar.
  cut | The action's shortcut.
  receiver | The SLOT's parent.
  slot | The SLOT to invoke to execute this action.
  parent | This action's parent.
  name | An internal name for this action.

Definition at line 62 of file ktoolbarlabelaction.cpp.

## Member Function Documentation

QWidget * KToolBarLabelAction::buddy | ( |  | ) | const

Returns the label's buddy or 0 if no buddy is currently set.

See QLabel::buddy() and QLabel::setBuddy() for more information.

Definition at line 104 of file ktoolbarlabelaction.cpp.

QLabel * KToolBarLabelAction::label | ( |  | ) | const

Returns the label which is used internally.

Definition at line 109 of file ktoolbarlabelaction.cpp.

void KToolBarLabelAction::setBuddy | ( | QWidget * | buddy | ) |

virtual

Sets the label's buddy to buddy.

See QLabel::setBuddy() for details.

Definition at line 99 of file ktoolbarlabelaction.cpp.

void KToolBarLabelAction::setText | ( | const QString & | text | ) |

virtual

Reimplemented to update both the action's text and the label's text.

Reimplemented from KAction.

Definition at line 93 of file ktoolbarlabelaction.cpp.

The documentation for this class was generated from the following files:

- ktoolbarlabelaction.h
- ktoolbarlabelaction.cpp

KDE Home | KDE Accessibility Home | Description of Access Keys